Package: io.vertx.groovy.ext.stomp

## [Groovy] Class Acknowledgement

- io.vertx.groovy.ext.stomp.Acknowledgement

- Structure passed to acknowledgement handler called when a `ACK` or `NACK` frame is received. The handler receives an instance of Acknowledgement with the subscription Frame and the impacted messages. The list of messages depends on the type of acknowledgment used by the subscription.

  Subscriptions using the `client` mode receives all messages that were waiting for acknowledgment that were sent before the acknowledged messages. The list also contains the acknowledged message. This is a cumulative acknowledgement. Subscriptions using the `client-individual` mode receives a singleton list containing only the acknowledged message.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Acknowledgement (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<java.util.Map<java.lang.String, java.lang.Object>>` | `frames()` Returns: the list of frames that have been acknowledged / not-acknowledged.
    `java.lang.Object` | `getDelegate()`
    `java.util.Map<java.lang.String, java.lang.Object>` | `subscription()` @return the subscription frame

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Acknowledgement(java.lang.Object delegate)

  - ### Method Detail

    - #### java.util.List<java.util.Map<java.lang.String, java.lang.Object>> frames()

      Returns:
        the list of frames that have been acknowledged / not-acknowledged. The content of the list depends on the type of subscription.

    - #### java.lang.Object getDelegate()

    - #### java.util.Map<java.lang.String, java.lang.Object> subscription()

      Returns:
        the subscription frame
        (see Frame)